Name: luminance-hdr
Version: 2.3.1
Release: 2%{?dist}
Summary: A graphical tool for creating and tone-mapping HDR images

Group: Applications/Productivity
License: GPLv2+
URL: http://qtpfsgui.sourceforge.net/
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Patch0: luminance-hdr-2.3.1-fix-cli.patch
# fix build on non-x86 arches
Patch1: luminance-hdr-2.3.1-non-x86.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel
BuildRequires: qt-webkit-devel
BuildRequires: OpenEXR-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: gsl-devel
BuildRequires: desktop-file-utils
BuildRequires: cmake
BuildRequires: LibRaw-devel
BuildRequires: libpng-devel
BuildRequires: lcms2-devel
BuildRequires: boost-devel

Obsoletes: qtpfsgui < 2.2.0
Provides: qtpfsgui = %{version}-%{release}

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.


%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%patch0 -p1
%ifnarch %{ix86} x86_64
%patch1 -p1
%endif

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog


%build
%{cmake} -DBUILD_SHARED_LIBS:BOOL=OFF -DCMAKE_BUILD_TYPE=Release .

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot}
cp -pf *.qm %{buildroot}/%{_datadir}/%{name}/i18n
mkdir -p %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.xml %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.desktop %{buildroot}/%{_datadir}/applications

desktop-file-install --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Sep 20 2013 Dan Horák <dan[at]danny.cz> - 2.3.1-2
- fix build on non-x86 arches

* Fri Sep 13 2013 Franco Comida <francocomida@googlemail.com> - 2.3.1-1
- Updated to Luminance HDR 2.3.1

* Mon Sep 09 2013 Rex Dieter <rdieter@fedoraproject.org> 2.3.0-9
- rebuild (OpenEXR)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Jon Ciesla <limburgher@gmail.com> - 2.3.0-7
- Rebuild for new LibRaw.

* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0-6
- rebuild (OpenEXR)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 2.3.0-4
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 2.3.0-3
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 01 2012 Franco Comida <francocomida@googlemail.com> - 2.3.0-1
- Updated to Luminance HDR 2.3.0

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 2.2.1-4
- rebuild (exiv2)

* Wed Mar 28 2012 Dan Horák <dan[at]danny.cz> - 2.2.1-3
- fix build on non-x86 arches

* Tue Mar 13 2012 Franco Comida <francocomida@googlemail.com> - 2.2.1-2
- Removed unused PATH from luminance-hdr.desktop

* Sun Mar 11 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.1-1
- Updated to Luminance HDR 2.2.1

* Tue Feb 21 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.0-1
- Luminance HDR 2.2.0

